MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022754Community[OCCT] OCCT:Codingpublic2011-10-05 12:092012-11-16 13:18
Reporterszy 
Assigned Toilv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSMandriva 2008OS Version32 bit
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0022754: missing include in BRepBlend_BlendTool
DescriptionPost from the Forum (Denis Barbier)- http://www.opencascade.org/org/forum/thread_21963/. [^]
"Without this patch, the simple program below does not compile:

#include<BRepBlend_AppFunc.hxx>
#include<BRepBlend_BlendTool.hxx>

Patch and report by Thomas Paviot."

It concerns Linux OS. To be checked.
Patch is attached.
TagsNo tags attached.
Test case numberNot needed
Attached Filespatch file icon bugfix-add-missing-include-BRepBlend_BlendTool.lxx.patch (875 bytes) 2011-10-05 12:09

- Relationships

-  Notes
(0021946)
ilv (developer)
2012-10-25 14:19

I added forgotten include

#include <Adaptor3d_HVertex.hxx>

to file \src\BRepBlend\BRepBlend_BlendTool.lxx
(0021953)
szy (administrator)
2012-10-25 16:54

No remarks.
(0022006)
apn (administrator)
2012-10-30 12:02

Dear BugMaster,
Branch CR22754 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 0ad0f66b
Timestamp: 2012-10-25 10:01:41
Author: ilv
Details ] Diff ]
0022754: Add forgotten include to BRepBlend_BlendTool.lxx
mod - src/BRepBlend/BRepBlend_BlendTool.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-10-05 12:09 szy New Issue
2011-10-05 12:09 szy Assigned To => bugmaster
2011-10-05 12:09 szy File Added: bugfix-add-missing-include-BRepBlend_BlendTool.lxx.patch
2011-11-25 12:26 szy Assigned To bugmaster => jgv
2011-11-25 12:26 szy Status new => assigned
2011-11-25 15:35 szy Description Updated View Revisions
2012-03-12 07:35 abv Target Version 6.5.3 => 6.5.4
2012-10-25 12:08 abv Assigned To jgv => ilv
2012-10-25 14:19 ilv Note Added: 0021946
2012-10-25 14:19 ilv Assigned To ilv => szy
2012-10-25 14:19 ilv Status assigned => resolved
2012-10-25 16:54 szy Note Added: 0021953
2012-10-25 16:54 szy Assigned To szy => mkv
2012-10-25 16:54 szy Status resolved => reviewed
2012-10-30 12:02 apn Note Added: 0022006
2012-10-30 12:03 apn Test case number => Not needed
2012-10-30 12:03 apn Assigned To mkv => bugmaster
2012-10-30 12:03 apn Status reviewed => tested
2012-11-06 19:02 ilv Changeset attached => occt master 0ad0f66b
2012-11-06 19:03 ilv Assigned To bugmaster => ilv
2012-11-06 19:03 ilv Status tested => verified
2012-11-06 19:03 ilv Resolution open => fixed
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker